// Properties for ArcGISGeoJSON

### Type Parameters

### Hierarchy

- Options

## Index

### Properties

- dataProjection
- extractGeometryName
- featureProjection
- geometryName
- layers

## Properties

### dataProjection

dataProjection: ProjectionLike

- Defined in src/format/ArcGISGeoJSON.js:30

Default data projection.

### extractGeometryName

extractGeometryName: boolean

- Defined in src/format/ArcGISGeoJSON.js:34

Certain GeoJSON providers include the geometry_name field in the feature GeoJSON. If set to `true` the GeoJSON reader will look for that field to set the geometry name. If both this field is set to `true` and a `geometryName` is provided, the `geometryName` will take precedence.

### featureProjection

featureProjection: ProjectionLike

- Defined in src/format/ArcGISGeoJSON.js:31

Projection for features read or written by the format. Options passed to read or write methods will take precedence.

### geometryName

geometryName: string

- Defined in src/format/ArcGISGeoJSON.js:33

Geometry name to use when creating features.

### layers

layers: string[]

- Defined in src/format/ArcGISGeoJSON.js:28

If set, only features of the given layers will be returned by the format when read. // Properties from GeoJSON

Generated using TypeDoc